// pages/ExtensionGoods/ExtensionGoods.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    goodList: [],
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    this.getData();
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  },
  getData() {
    let that = this;
    let urlStr = app.getNetAddresss('member.member.shareinfo');
    app._getNetWork({
      url: urlStr,
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          let goodList = "";
          goodList = res.data.become_goods.map((value) => {
            let json = {};
            json.goods_id = value.id;
            json.thumb = value.thumb;
            json.title = value.title;
            return json;
          });
          that.setData({
            goodList: goodList
          });
        }
      },
      fail: function(res) {
        console.log(res.msg);
      }
    });
  }
});
